<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.commands">
      <category
            name="Generate Tango Code" 
            id="com.mncml.implementation.pogo.emulator.commands.category">
      </category>
       
      <command
            name="Java"
            categoryId="com.mncml.implementation.pogo.emulator.commands.category"
            id="com.mncml.implementation.pogo.emulator.commands.GenerateJavaCode">
      </command>
      
   </extension>
   
   <extension
         point="org.eclipse.ui.handlers">
      <handler 
            commandId="com.mncml.implementation.pogo.emulator.commands.GenerateJavaCode"
            class="com.mncml.implementation.pogo.emulator.handlers.GenerateTangoCodeHandler">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="com.mncml.implementation.pogo.emulator.commands.GenerateJavaCode"
            contextId="org.eclipse.ui.contexts.window"
            sequence="M1+6"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration">
      </key>
   </extension>
   
        
   
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="popup:#TextEditorContext?after=copy">
            
         <menu
               label="Generate Tango Code"
               mnemonic="M"
               id="com.mncml.implementation.pogo.emulator.menus.sampleMenu">
            <command
                  commandId="com.mncml.implementation.pogo.emulator.commands.GenerateJavaCode"
                    mnemonic="S"
                  id="com.mncml.implementation.pogo.emulator.menus.sampleCommand">
                  <visibleWhen>
	            	
	             		<reference definitionId="com.mncml.implementation.pogo.dsl.PogoDsl.Editor.opened" />
						
				</visibleWhen>
            </command>
         </menu>
      </menuContribution>
   </extension>

</plugin>
